%define upstream_name    HTTP-CookieMonster
%define upstream_version 0.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Easy read/write access to your jar of HTTP::
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/HTTP/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Serializer)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(HTTP::Cookies)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moo) >= 1.0.3
BuildRequires: perl(Safe::Isa)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Sub::Exporter)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Most)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Warning: this is BETA code which is still subject to change.

This module was created because messing around with the HTTP::Cookies
manpage is non-trivial. the HTTP::Cookies manpage a very useful module, but
using it is not always as easy and clean as it could be. For instance, if
you want to find a particular cookie, you can just ask for it by name.
Instead, you have to use a callback:

    $cookie_jar->scan( \&callback )

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes INSTALL LICENSE META.json MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.90.0-3.mga6
+ Revision: 1028430
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.90.0-2.mga6
+ Revision: 967010
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 sander85 <sander85> 0.90.0-1.mga6
+ Revision: 847986
- update to 0.09

* Sun Oct 19 2014 umeabot <umeabot> 0.70.0-4.mga5
+ Revision: 790390
- Rebuild to potentially add missing dependencies
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.70.0-1.mga5
+ Revision: 588408
- update to 0.07

* Fri Oct 18 2013 umeabot <umeabot> 0.50.0-3.mga4
+ Revision: 512134
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.50.0-2.mga3
+ Revision: 368259
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 jquelin <jquelin> 0.50.0-1.mga3
+ Revision: 301263
- update to 0.05

* Tue Sep 25 2012 jquelin <jquelin> 0.40.0-1.mga3
+ Revision: 297656
- imported package perl-HTTP-CookieMonster


* Tue Sep 25 2012 cpan2dist 0.04-1mga
- initial mageia release, generated with cpan2dist
